Module tdlight.api
Package it.tdlight.jni

# Class TdApi.GetChatJoinRequests

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.Function<TdApi.ChatJoinRequests>
it.tdlight.jni.TdApi.GetChatJoinRequests

Enclosing class:
  TdApi

public static final class TdApi.GetChatJoinRequests extends TdApi.Function<TdApi.ChatJoinRequests>
Returns pending join requests in a chat.

Returns `ChatJoinRequests`

## Field Summary

Fields
Modifier and Type
Field
Description
`long`
`chatId`
Chat identifier.
`static final int`
`CONSTRUCTOR`
Identifier uniquely determining type of the object.
`String`
`inviteLink`
Invite link for which to return join requests.
`int`
`limit`
The maximum number of requests to join the chat to return.
`TdApi.ChatJoinRequest`
`offsetRequest`
A chat join request from which to return next requests; pass null to get results from the beginning.
`String`
`query`
A query to search for in the first names, last names and usernames of the users to return.

## Constructor Summary

Constructors
Constructor
Description
`GetChatJoinRequests()`
Returns pending join requests in a chat.
`GetChatJoinRequests(long chatId, String inviteLink, String query, TdApi.ChatJoinRequest offsetRequest, int limit)`
Returns pending join requests in a chat.
`GetChatJoinRequests(DataInput input)`
Returns pending join requests in a chat.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
Returns an identifier uniquely determining type of the object.
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`
Serialize the TDLib class

### Methods inherited from class it.tdlight.jni.TdApi.Function

`toString`

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### chatId

public long chatId
Chat identifier.

### inviteLink

public String inviteLink
Invite link for which to return join requests. If empty, all join requests will be returned. Requires administrator privileges and canInviteUsers right in the chat for own links and owner privileges for other links.

### query

public String query
A query to search for in the first names, last names and usernames of the users to return.

### offsetRequest

public TdApi.ChatJoinRequest offsetRequest
A chat join request from which to return next requests; pass null to get results from the beginning.

### limit

public int limit
The maximum number of requests to join the chat to return.

### CONSTRUCTOR

public static final int CONSTRUCTOR
Identifier uniquely determining type of the object.

See Also:
  - Constant Field Values

## Constructor Details

### GetChatJoinRequests

public GetChatJoinRequests()
Returns pending join requests in a chat.

Returns `ChatJoinRequests`

### GetChatJoinRequests

public GetChatJoinRequests(long chatId, String inviteLink, String query, TdApi.ChatJoinRequest offsetRequest, int limit)
Returns pending join requests in a chat.

Returns `ChatJoinRequests`

Parameters:
  `chatId` - Chat identifier.
  `inviteLink` - Invite link for which to return join requests. If empty, all join requests will be returned. Requires administrator privileges and canInviteUsers right in the chat for own links and owner privileges for other links.
  `query` - A query to search for in the first names, last names and usernames of the users to return.
  `offsetRequest` - A chat join request from which to return next requests; pass null to get results from the beginning.
  `limit` - The maximum number of requests to join the chat to return.

  Returns `ChatJoinRequests`

### GetChatJoinRequests

public GetChatJoinRequests(DataInput input) throws IOException
Returns pending join requests in a chat.

Returns `ChatJoinRequests`

Parameters:
  `input` - Serialized input
Throws:
  `IOException` - the deserialization failed

## Method Details

### getConstructor

public int getConstructor()
Description copied from class: `TdApi.Object`
Returns an identifier uniquely determining type of the object.

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR

### serialize

public void serialize(DataOutput output) throws IOException
Serialize the TDLib class

Specified by:
  `serialize` in class `TdApi.Object`
Parameters:
  `output` - output data stream
Throws:
  `IOException` - the serialization failed

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`